/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package business;

import domain.Product;
import java.util.List;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.TypedQuery;

/**
 *
 * @author hardebolle
 */
@Stateless
public class CatalogFacade {

    @PersistenceContext(unitName = "cqpasiPU")
    private EntityManager em;

    public List<Product> getProductList() {
        TypedQuery<Product> q = this.em.createNamedQuery("getAllProducts", Product.class);
        return q.getResultList();
    }

    public void add(Product p) {
        if (p != null) {
            this.em.persist(p);
        }
    }

    public void delete(Product p) {
        if (p != null) {
            this.em.remove(this.em.merge(p));
        }
    }

    public void edit(Product p) {
        if (p != null) {
            this.em.merge(p);
        }
    }
}
